Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Documentation: update cx_Oracle requirement to 5.0.1

  • Loading branch information...
commit 5cd8be1a41379c0e745424e0d3d599bea5d20c1d 1 parent d10eaf2
Shai Berger authored
Showing with 11 additions and 7 deletions.
  1. +8 −7 docs/ref/databases.txt
  2. +3 −0  docs/releases/1.5.txt
15 docs/ref/databases.txt
View
@@ -562,20 +562,21 @@ Oracle notes
Django supports `Oracle Database Server`_ versions 9i and
higher. Oracle version 10g or later is required to use Django's
``regex`` and ``iregex`` query operators. You will also need at least
-version 4.3.1 of the `cx_Oracle`_ Python driver.
+version 5.0.1 of the `cx_Oracle`_ Python driver.
-Note that due to a Unicode-corruption bug in ``cx_Oracle`` 5.0, that
-version of the driver should **not** be used with Django;
-``cx_Oracle`` 5.0.1 resolved this issue, so if you'd like to use a
-more recent ``cx_Oracle``, use version 5.0.1.
-
-``cx_Oracle`` 5.0.1 or greater can optionally be compiled with the
+``cx_Oracle`` can optionally be compiled with the
``WITH_UNICODE`` environment variable. This is recommended but not
required.
+.. versionchanged:: 1.5
+
+Until Django 1.4, the required `cx_Oracle`_ version was 4.3.1.
+
.. _`Oracle Database Server`: http://www.oracle.com/
.. _`cx_Oracle`: http://cx-oracle.sourceforge.net/
+
+
In order for the ``python manage.py syncdb`` command to work, your Oracle
database user must have privileges to run the following commands:
3  docs/releases/1.5.txt
View
@@ -343,6 +343,8 @@ Miscellaneous
* GeoDjango dropped support for GDAL < 1.5
+* The Oracle database backend dropped support for cx_Oracle < 5.0.1
+
* :func:`~django.utils.http.int_to_base36` properly raises a :exc:`TypeError`
instead of :exc:`ValueError` for non-integer inputs.
@@ -355,6 +357,7 @@ Miscellaneous
needs. The new default value is `0666` (octal) and the current umask value
is first masked out.
+
Features deprecated in 1.5
==========================
Please sign in to comment.
Something went wrong with that request. Please try again.